// ========================================================
//		Ajouter AJAX
// ========================================================

var diapo = 0;
var prochain=0;
var nrubrique=0;
var mindepth=0;
var maxdepth=1;
var delai=5000;

// fonctions utiles pour ajax du diaporama


// construction de l'objet xmlhttprequest
function get_requete_image_diapo(){
	var requete_image_diapo = null;
	if (window.XMLHttpRequest){ // Firefox
		requete_image_diapo=new XMLHttpRequest();
	}else if (window.ActiveXObject){ // IE
		try{
			requete_image_diapo=new ActiveXObject("Msxml12.XMLHTTP");
		}catch(e){
			try{
				requete_image_diapo=new ActiveXObject("Microsoft.XMLHTTP");
			}catch(e1){
				requete_image_diapo=null;
			}
		}
	}else{ // non supporté
		alert("Votre navigateur ne supporte pas les XMLHTTPRequest.");
		/* + redirection vers page navigs.html */
	}
	return requete_image_diapo;
}
// creation et envoi de la requête
function requete_requete_image_diapo(url){
	requete_image_diapo=get_requete_image_diapo();
	if (!requete_image_diapo){
		alert("Votre navigateur ne peut créer de requête AJAX.");
		/* + redirectiuon vers page navigs.html */
		return;
	}
	//alert("envoi de la requete");
	requete_image_diapo.onreadystatechange=function(){traitementReponse_requete_image_diapo(requete_image_diapo)}
	requete_image_diapo.open("GET",url,true);
	requete_image_diapo.send(null);
}
// traitement de la réponse
function traitementReponse_requete_image_diapo(requete_image_diapo){
	var contenu;
	var erreur=0;
	if (requete_image_diapo.readyState==4){
		//alert("reception de la reponse : traitement");
		contenu=requete_image_diapo.responseXML;
		if (contenu.getElementsByTagName("image")[0].firstChild.nodeValue!=null){
			url_image=contenu.getElementsByTagName("image")[0].firstChild.nodeValue;
		}else{
			erreur=1;
		}
		if (contenu.getElementsByTagName("url_article")[0].firstChild.nodeValue!=null){
			url_article=contenu.getElementsByTagName("url_article")[0].firstChild.nodeValue;
		}else{
			erreur=1;
		}
		if (contenu.getElementsByTagName("titre")[0].firstChild!=null){
			if (contenu.getElementsByTagName("titre")[0].firstChild.nodeValue!=null){
				titre_diapo=contenu.getElementsByTagName("titre")[0].firstChild.nodeValue;
			}else{
				erreur=1;
			}
		}else{
			titre_diapo="";
		}
		//alert("titre="+contenu.getElementsByTagName("titre")[0].textContent); // y'a aussi data, wholeText...nodeValue...
		if (contenu.getElementsByTagName("texte")[0].firstChild!=null){
			if (contenu.getElementsByTagName("texte")[0].firstChild.nodeValue!=null){
				texte_diapo=contenu.getElementsByTagName("texte")[0].firstChild.nodeValue;
				if ((texte_diapo==null)||(texte_diapo=="")){
					texte_diapo="Sans titre";
				}
			}else{
				texte_diapo="";
			}
		}else{
			texte_diapo="";
		}
		prochain=contenu.getElementsByTagName("prochain")[0].firstChild.nodeValue;
		// delai=contenu.getElementsByTagName("delai")[0].firstChild.nodeValue;
		preload=contenu.getElementsByTagName("preload")[0].firstChild.nodeValue;
		//alert("texte="+contenu.getElementsByTagName("texte_diapo")[0].firstChild.nodeValue);
		/*var val=contenu.getElementsByTagName("val")[0].firstChild.nodeValue;*/
		// modifier la case 1+carac de la ligne 0+astre, y mettre val, en vert (ou rouge)
	if (erreur==0){	
		if ((this.document.getElementById('diapo_image')!=null)&&(url_image!="")){
			//alert ("on a le div image");
			var div_image=this.document.getElementById('diapo_image'); // le div
			var div_texte=this.document.getElementById('diapo_texte'); 
			div_image.innerHTML="<a href=\""+url_article+"\"><img src=\""+url_image+"\" style=\"margin-left:0px;margin-top:0px;\"></a>";
			/* puis retailler l'image */
			//alert("traitement image");
			//traiterimages();
			/* traiterimages() */
			//if (this.document.getElementById('image')!=null){
			var h_div=this.document.getElementById('diapo_image').offsetHeight;
			var l_div=this.document.getElementById('diapo_image').offsetWidth;
			/*image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];*/
			/*var image=contenu.getElementsByTagName("image")[0].firstChild.nodeValue;*/
			//}
			var h_img=parseFloat(contenu.getElementsByTagName("hauteur")[0].firstChild.nodeValue);
			var l_img=parseFloat(contenu.getElementsByTagName("largeur")[0].firstChild.nodeValue);
			//alert("traitement d'une image de "+h_img+" par "+l_img);
			if (l_img>l_div){
				// réduction = l_img/545
				var reduction=l_img/l_div;
				// si h_img/reduction>h_div alors
				if ((h_img/reduction)>h_div){
					// image plus large et en réduite, plus haute que le div
					// image plus HAUTE que large
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu
					var margel=(l_div-nl)/2;
					// si la marge est > à x px, calculer la différence et réduire div image pour agrandir div texte
					image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);				
					image.setAttribute("style","margin-left:"+margel+"px; background-image:url(\""+preload+"\"); background-size: 0px 0px;");
				// sinon
				}else{
					// image plus large mais pas plus haute que le div
					// image plus LARGE que haute
					// appliquer réduction en largeur et hauteur
					var nh=h_img/reduction;
					var nl=l_img/reduction;
					// pour être au milieu, il faut que margeh=()h_div-nh/2
					var margeh=(h_div-nh)/2;
					image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
					image.setAttribute("style","margin-top:"+margeh+"px; background-image:url(\""+preload+"\"); background-size: 0px 0px;");
				//finsi
				}
				// fins
			}else{
				// image pas plus large que le div
				if (h_img>h_div){
					// div assez large mais pas assez haut
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];
					image.setAttribute("style","margin-left:"+margel+"px; background-image:url(\""+preload+"\"); background-size: 0px 0px;");
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
				}else{
					// image pas trop grande
					// mais cadre peut-être trop grand
					var margeh=(h_div-h_img)/2;
					var margel=(l_div-l_img)/2;
					image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];
					image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px; background-image:url(\""+preload+"\"); background-size: 0px 0px;");
				}
			}
		}else{
			//alert("div image non trouvé");
		}
		if (this.document.getElementById('diapo_texte')!=null){
			var div_texte=this.document.getElementById('diapo_texte'); // le div
			//alert ("on a le div texte");
			div_texte.innerHTML="<span class=\"titre_diapo\"><a href=\""+url_article+"\">"+titre_diapo+"</a></span><p><span class=\"texte_diapo\">"+texte_diapo+"</span></p>";
		}else{
			//alert("div texte non trouvé");
		}
	}
		diapo=prochain;
		if (prochain!=-1){			
			//	requete_requete_image_diapo("charger_diapo.php?id="+diapo+"&delai="+delai);	
			setTimeout("requete_requete_image_diapo('charger_diapo.php?id='+diapo+'&rub='+nrubrique+'&min='+mindepth+'&max='+maxdepth+'&lang='+lang)",delai);
		}
	}
}

// fonction de chargement de la premiere image

function charger_diapo(){
	if (this.document.getElementById('diapo')!=null){
		if (this.document.getElementById('nrubrique')!=null){
			nrubrique=this.document.getElementById('nrubrique').value;
		}else{
			nrubrique=0;
		}
		if (this.document.getElementById('mindepth')!=null){
			mindepth=this.document.getElementById('mindepth').value;
		}else{
			mindepth=0;
		}
		if (this.document.getElementById('maxdepth')!=null){
			maxdepth=this.document.getElementById('maxdepth').value;			
		}else{
			maxdepth=1;
		}
		if (this.document.getElementById('lang')!=null){
			lang=this.document.getElementById('lang').value;			
		}else{
			lang="fr";
		}
		var url_image=null;
		var texte_diapo=null;
		var titre_diapo=null;
		requete_requete_image_diapo('charger_diapo.php?id=0&rub='+nrubrique+'&min='+mindepth+'&max='+maxdepth+'&lang='+lang);
	}
}

﻿// ouvrir une page web dans la fenêtre en cours
function ouvrir(url){
	fenetre=window.open(url,"_top");
}

function contact_dev(){
	dev_nom="admin";
	dev_hote="vader-fr.fr"
	courrier=window.open('mailto:'+dev_nom+'@'+dev_hote);
	courrier.close();
}

function contact_admin(){
	adm_nom="isapalenc";
	adm_hote="gmail.com";
	if (this.document.getElementById('lien_contact')!=null){
		var lien_contact=this.document.getElementById('lien_contact');
		lien_contact.innerHTML=""+adm_nom+'@'+adm_hote;
	}
	/*	
	kourrier=window.open('mailto:'+adm_nom+'@'+adm_hote);
	kourrier.close();
	*/
}

/* gestion des cookies */
// nom, valeur, nombre de jours qu'il restera 0 = à la fermeture du navigateur
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}
/*
function eraseCookie(name) {
	createCookie(name,"",-1);
}
*/

function pisteIE(){
	if (navigator.appName=='Microsoft Internet Explorer'){
		// si cookie inexistant
		if ((readCookie("averti_ie")==null)||(readCookie("averti_ie")!="oui")){
			// tester appversion
			// alert("vous utilisez "+navigator.appName+" en version "+navigator.appVersion);
			version=navigator.appVersion;
			if (version<=6){
				fenetre=window.open("IE6.html","_self");
			}else{
				if ((version>6)&&(version<8)){
					fenetre=window.open("IE7.html","_self");
				}else{
					if ((version>7)&&(version<9)){
						fenetre=window.open("IE8.html","_self");
					}else{
						if (version>=9){
							fenetre=window.open("IE.html","_self");
						}else{
							fenetre=window.open("IE.html","_self");
						}
					}
				}
			}
			// si cookie = null
			// puis créer cookie
			if (navigator.cookieEnabled) {
        			// Cookies acceptés
        			createCookie("averti_ie","oui",7);
        			if ((readCookie("averti_ie")!=null)&&(readCookie("averti_ie")=="oui")){
					alert("Un cookie a été créé, vous ne serez donc plus dirigé vers la page d'avertissement pour Internet Explorer.");
        			}
			} else {
        			alert("Si vous n'activez pas vos cookies, vous serez systématiquement dirigé vers la page d'avertissement pour Internet Explorer.");
			}
		}
	}
}

function traitercadres(){
	// barre de gauche = 187 px
	// cadre normal : 545
	// cadre autre = max 550 px
	// donc reste=offsetwidth- (187+545+550)
	// SI reste  > 0
	// 	définir largeur de artiste_image a 545 + reste
	// 	définir position gauche à 550+reste pour artiste_contact (classe), artiste_scroll et artiste_pagination et artiste_titre pour la rubrique 3 (si artiste_titre est récupérable)
	// ============================ ARTISTES ===============================
/*	if (this.document.getElementById('artiste_image')!=null){
		var reste=document.body.offsetWidth-(232+545+550); // 550 px est le max de largeur du texte. 232 est la navigation, 545 la largeur par defaut du bloc image
		if (reste>0){
			var image=document.getElementById('artiste_image');
			image.style.width=545+reste+'px';
			// SI artiste_titre
			if (this.document.getElementById('artiste_titre')!=null){
				// 
				document.getElementById('artiste_titre').style.left=545+reste+"px";
			}else{
				// sinon
				document.getElementById('artiste_contact').style.left=550+reste+"px";
				document.getElementById('artiste_scroll').style.left=550+reste+"px";
				document.getElementById('artiste_pagination').style.left=550+reste+"px";
				// alert("Le div artiste_image va être élargi a "+image.style.width+reste+"px");
			}
		}else{
			// alert("pas de place disponible ("+document.offsetWidth+" pour la page)");
		}
	}else{
		// alert("div artiste_image non détecté");
	}	// fin pour rubriques et articles artistes
*/	// ====================== EXPOSITIONS + PORTES OUVERTES ==============================
	if (this.document.getElementById('expos_image')!=null){
		var texte=this.document.getElementById('expos_texte');
		var image=document.getElementById('expos_image');
		var reste=this.document.getElementById('contenu').offsetWidth-texte.offsetWidth-image.offsetWidth;
		var l_img=image.offsetWidth; // variable
		if (reste>0){
			image.style.right=520+"px";
			image.style.width="auto";
		}
	}
	// ====================== EXPOSITIONS + PORTES OUVERTES ==============================
	if (this.document.getElementById('expos_detail_img')!=null){
		var texte=this.document.getElementById('expos_detail_texte');
		var image=document.getElementById('expos_detail_img');
		var reste=this.document.getElementById('expos_detail').offsetWidth-texte.offsetWidth-image.offsetWidth;
		var l_img=image.offsetWidth; // variable
		if (reste>0){
			image.style.right=520+"px";
			image.style.width="auto";
		}

	}
/*		
		if (this.document.getElementById('expos_artiste')!=null){
			// expositions : <div id="expos_artiste">
			var artiste=document.getElementById('expos_artiste');
			reste=document.body.offsetWidth-(189+texte.offsetWidth+artiste.offsetWidth);
			if (reste>0){
				image.style.width=reste+"px";
				//artiste.style.left=l_img+reste+"px";
				artiste.style.right=texte.offsetWidth+"px";
				// texte.style.left=l_img+reste+l_art+'px'; accroché à droite, donc...
			}
		}else{
			// portes ouvertes
			reste=document.body.offsetWidth-(189+texte.offsetWidth+10);
			if (reste>0){
				image.style.width=reste+"px";
			}
		}
*/
}



function traiterimages(){
	// pour rubrique 3 et sous-rubriques/articles de rubrique 3 : présence de artiste_image
	// récupérer hauteur du div
	// dans le div artiste_image (545 px de largeur) récupérer les dimensions de la premieère balise img (n°0 ou 1 ?)
	var tabimage=null;
	// ================== ARTISTES ==========================
	if (this.document.getElementById('contenu_article')!=null){
		var h_div=this.document.getElementById('contenu_article').offsetHeight;
		var l_div=this.document.getElementById('contenu_article').offsetWidth;
		// alert("le div artiste image fait "+h_div+"x"+l_div+" (HxL)");
		tabimage=document.getElementById('contenu_article').getElementsByTagName('img');
		// alert("L'image fait "+h_img+"x"+l_img+" alors que le div fait "+h_div+"x"+l_div+" (HxL)");
		// si l_img>545 alors
	}
	if (this.document.getElementById('artiste_image')!=null){
		var h_div=this.document.getElementById('artiste_image').offsetHeight;
		var l_div=this.document.getElementById('artiste_image').offsetWidth;
		// alert("le div artiste image fait "+h_div+"x"+l_div+" (HxL)");
		tabimage=document.getElementById('artiste_image').getElementsByTagName('img');
		// alert("L'image fait "+h_img+"x"+l_img+" alors que le div fait "+h_div+"x"+l_div+" (HxL)");
		// si l_img>545 alors
		image=tabimage[0];
		var h_img=image.naturalHeight;
		//var l_img=image.getAttribute('width');
		var l_img=image.naturalWidth;
		if (l_img>l_div){
			var reduction=l_img/l_div;
			// si h_img/reduction>h_div alors
			 if ((h_img/reduction)>h_div){
				// image plus HAUTE que large
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				 var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
			// sinon
			}else{
				// image plus LARGE que haute
				// appliquer réduction en largeur et hauteur
				var nh=h_img/reduction;
				var nl=l_img/reduction;
				// pour être au milieu, il faut que margeh=()h_div-nh/2
				 var margeh=(h_div-nh)/2;
				 image.setAttribute("style","margin-top:"+margeh+"px;");
			//finsi
			}
			// dans les 2 cas, aappliquer la réduction
			//alert("la nouvelle image fera "+nh+"x"+nl+" dans un div de "+h_div+"x545 (HxL)");
			image.setAttribute("height",nh);
			image.setAttribute("width",nl);
		}else{
			if (h_img>h_div){
				// div assez large mais pas assez haut
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
				image.setAttribute("height",nh);
				image.setAttribute("width",nl);
			}else{
				// image pas trop grande
				// mais cadre peut-être trop grand
				 var margeh=(h_div-h_img)/2;
				 var margel=(l_div-l_img)/2;
				 image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
			}
		}

		tabimage=null;
	}
	// ================== ARTISTES ==========================
	if (this.document.getElementById('semaine_image')!=null){
		var h_div=this.document.getElementById('semaine_image').offsetHeight;
		var l_div=this.document.getElementById('semaine_image').offsetWidth;
		tabimage=document.getElementById('semaine_image').getElementsByTagName('img');
		image=tabimage[0];
		var h_img=image.naturalHeight;
		//var l_img=image.getAttribute('width');
		var l_img=image.naturalWidth;
		if (l_img>l_div){
			var reduction=l_img/l_div;
			// si h_img/reduction>h_div alors
			 if ((h_img/reduction)>h_div){
				// image plus HAUTE que large
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				 var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
			// sinon
			}else{
				// image plus LARGE que haute
				// appliquer réduction en largeur et hauteur
				var nh=h_img/reduction;
				var nl=l_img/reduction;
				// pour être au milieu, il faut que margeh=()h_div-nh/2
				 var margeh=(h_div-nh)/2;
				 image.setAttribute("style","margin-top:"+margeh+"px;");
			//finsi
			}
			// dans les 2 cas, aappliquer la réduction
			//alert("la nouvelle image fera "+nh+"x"+nl+" dans un div de "+h_div+"x545 (HxL)");
			image.setAttribute("height",nh);
			image.setAttribute("width",nl);
		}else{
			if (h_img>h_div){
				// div assez large mais pas assez haut
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
				image.setAttribute("height",nh);
				image.setAttribute("width",nl);
			}else{
				// image pas trop grande
				// mais cadre peut-être trop grand
				 var margeh=(h_div-h_img)/2;
				 var margel=(l_div-l_img)/2;
				 image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
			}
		}

		tabimage=null;


	}

	// ================== ARTISTES ==========================
	if (this.document.getElementById('expos_image')!=null){
		var h_div=this.document.getElementById('expos_image').offsetHeight;
		var l_div=this.document.getElementById('expos_image').offsetWidth;
		tabimage=document.getElementById('expos_image').getElementsByTagName('img');
		image=tabimage[0];
		var h_img=image.naturalHeight;
		//var l_img=image.getAttribute('width');
		var l_img=image.naturalWidth;
		if (l_img>l_div){
			var reduction=l_img/l_div;
			// si h_img/reduction>h_div alors
			 if ((h_img/reduction)>h_div){
				// image plus HAUTE que large
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				 var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
			// sinon
			}else{
				// image plus LARGE que haute
				// appliquer réduction en largeur et hauteur
				var nh=h_img/reduction;
				var nl=l_img/reduction;
				// pour être au milieu, il faut que margeh=()h_div-nh/2
				 var margeh=(h_div-nh)/2;
				 image.setAttribute("style","margin-top:"+margeh+"px;");
			//finsi
			}
			// dans les 2 cas, aappliquer la réduction
			//alert("la nouvelle image fera "+nh+"x"+nl+" dans un div de "+h_div+"x545 (HxL)");
			image.setAttribute("height",nh);
			image.setAttribute("width",nl);
		}else{
			if (h_img>h_div){
				// div assez large mais pas assez haut
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
				image.setAttribute("height",nh);
				image.setAttribute("width",nl);
			}else{
				// image pas trop grande
				// mais cadre peut-être trop grand
				 var margeh=(h_div-h_img)/2;
				 var margel=(l_div-l_img)/2;
				 image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
			}
		}

		tabimage=null;


	}

	// ================== expos_detail ==========================
	if (this.document.getElementById('expos_detail_img')!=null){
		var h_div=this.document.getElementById('expos_detail_img').offsetHeight;
		var l_div=this.document.getElementById('expos_detail_img').offsetWidth;
		tabimage=document.getElementById('expos_detail_img').getElementsByTagName('img');
		image=tabimage[0];
		var h_img=image.naturalHeight;
		//var l_img=image.getAttribute('width');
		var l_img=image.naturalWidth;
		if (l_img>l_div){
			var reduction=l_img/l_div;
			// si h_img/reduction>h_div alors
			 if ((h_img/reduction)>h_div){
				// image plus HAUTE que large
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				 var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
			// sinon
			}else{
				// image plus LARGE que haute
				// appliquer réduction en largeur et hauteur
				var nh=h_img/reduction;
				var nl=l_img/reduction;
				// pour être au milieu, il faut que margeh=()h_div-nh/2
				 var margeh=(h_div-nh)/2;
				 image.setAttribute("style","margin-top:"+margeh+"px;");
			//finsi
			}
			// dans les 2 cas, aappliquer la réduction
			//alert("la nouvelle image fera "+nh+"x"+nl+" dans un div de "+h_div+"x545 (HxL)");
			image.setAttribute("height",nh);
			image.setAttribute("width",nl);
		}else{
			if (h_img>h_div){
				// div assez large mais pas assez haut
				// réduction_h = h_img/h_div
				var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				var nh=h_img/reduction_h;
				var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				var margel=(l_div-nl)/2;
				image.setAttribute("style","margin-left:"+margel+"px;");
				image.setAttribute("height",nh);
				image.setAttribute("width",nl);
			}else{
				// image pas trop grande
				// mais cadre peut-être trop grand
				 var margeh=(h_div-h_img)/2;
				 var margel=(l_div-l_img)/2;
				 image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
			}
		}

		tabimage=null;
	}
	// ================== galerie ==========================
	if (this.document.getElementById('diapo_image')!=null){
			var h_div=this.document.getElementById('diapo_image').offsetHeight;
			var l_div=this.document.getElementById('diapo_image').offsetWidth;
			image=this.document.getElementById('diapo_image').getElementsByTagName('img')[0];
			var h_img=image.naturalHeight;
			//var l_img=image.getAttribute('width');
			var l_img=image.naturalWidth;
			//alert("traitement d'une image de "+h_img+" par "+l_img);
			if (l_img>l_div){
				// réduction = l_img/545
				var reduction=l_img/l_div;
				// si h_img/reduction>h_div alors
				if ((h_img/reduction)>h_div){
					// image plus HAUTE que large
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);				
					image.setAttribute("style","margin-left:"+margel+"px;");
				// sinon
				}else{
					// image plus LARGE que haute
					// appliquer réduction en largeur et hauteur
					var nh=h_img/reduction;
					var nl=l_img/reduction;
					// pour être au milieu, il faut que margeh=()h_div-nh/2
					var margeh=(h_div-nh)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
					image.setAttribute("style","margin-top:"+margeh+"px;");
				//finsi
				}
				// fins
			}else{
				// image pas plus large que le div
				if (h_img>h_div){
					// div assez large mais pas assez haut
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("style","margin-left:"+margel+"px;");
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
				}else{
					// image pas trop grande
					// mais cadre peut-être trop grand
					var margeh=(h_div-h_img)/2;
					var margel=(l_div-l_img)/2;
					image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
				}
			}
		}else{
			//alert("div image non trouvé");
		}
		
	// ================== galerie peintures ==========================
	if (this.document.getElementById('peintures_image')!=null){
			var h_div=this.document.getElementById('peintures_image').offsetHeight;
			var l_div=this.document.getElementById('peintures_image').offsetWidth;
			image=document.getElementById('peintures_image').getElementsByTagName('img')[0];
			var h_img=image.naturalHeight;
			//var l_img=image.getAttribute('width');
			var l_img=image.naturalWidth;
			//alert("traitement d'une image de "+h_img+" par "+l_img);
			if (l_img>l_div){
				// réduction = l_img/545
				var reduction=l_img/l_div;
				// si h_img/reduction>h_div alors
				if ((h_img/reduction)>h_div){
					// image plus HAUTE que large
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);				
					image.setAttribute("style","margin-left:"+margel+"px;");
				// sinon
				}else{
					// image plus LARGE que haute
					// appliquer réduction en largeur et hauteur
					var nh=h_img/reduction;
					var nl=l_img/reduction;
					// pour être au milieu, il faut que margeh=()h_div-nh/2
					var margeh=(h_div-nh)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
					image.setAttribute("style","margin-top:"+margeh+"px;");
				//finsi
				}
				// fins
			}else{
				// image pas plus large que le div
				if (h_img>h_div){
					// div assez large mais pas assez haut
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("style","margin-left:"+margel+"px;");
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
				}else{
					// image pas trop grande
					// mais cadre peut-être trop grand
					var margeh=(h_div-h_img)/2;
					var margel=(l_div-l_img)/2;
					image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
				}
			}
		}else{
			//alert("div image non trouvé");
		}


	// ================== biographie ==========================
	if (this.document.getElementById('bio_image')!=null){
			var h_div=this.document.getElementById('bio_image').offsetHeight;
			var l_div=this.document.getElementById('bio_image').offsetWidth;
			image=document.getElementById('bio_image').getElementsByTagName('img')[0];
			var h_img=image.naturalHeight;
			//var l_img=image.getAttribute('width');
			var l_img=image.naturalWidth;
			//alert("traitement d'une image de "+h_img+" par "+l_img);
			if (l_img>l_div){
				// réduction = l_img/545
				var reduction=l_img/l_div;
				// si h_img/reduction>h_div alors
				if ((h_img/reduction)>h_div){
					// image plus HAUTE que large
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);				
					image.setAttribute("style","margin-left:"+margel+"px;");
				// sinon
				}else{
					// image plus LARGE que haute
					// appliquer réduction en largeur et hauteur
					var nh=h_img/reduction;
					var nl=l_img/reduction;
					// pour être au milieu, il faut que margeh=()h_div-nh/2
					var margeh=(h_div-nh)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
					image.setAttribute("style","margin-top:"+margeh+"px;");
				//finsi
				}
				// fins
			}else{
				// image pas plus large que le div
				if (h_img>h_div){
					// div assez large mais pas assez haut
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("style","margin-left:"+margel+"px;");
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
				}else{
					// image pas trop grande
					// mais cadre peut-être trop grand
					var margeh=(h_div-h_img)/2;
					var margel=(l_div-l_img)/2;
					image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
				}
			}
		}else{
			//alert("div image non trouvé");
		}
	
	// ================== galerie ==========================
	if (this.document.getElementById('actus_photo')!=null){
			var h_div=this.document.getElementById('actus_photo').offsetHeight;
			var l_div=this.document.getElementById('actus_photo').offsetWidth;
			image=this.document.getElementById('actus_photo').getElementsByTagName('img')[0];
			var h_img=image.naturalHeight;
			//var l_img=image.getAttribute('width');
			var l_img=image.naturalWidth;
			//alert("traitement d'une image de "+h_img+" par "+l_img);
			if (l_img>l_div){
				// réduction = l_img/545
				var reduction=l_img/l_div;
				// si h_img/reduction>h_div alors
				if ((h_img/reduction)>h_div){
					// image plus HAUTE que large
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);				
					image.setAttribute("style","margin-left:"+margel+"px;");
				// sinon
				}else{
					// image plus LARGE que haute
					// appliquer réduction en largeur et hauteur
					var nh=h_img/reduction;
					var nl=l_img/reduction;
					// pour être au milieu, il faut que margeh=()h_div-nh/2
					var margeh=(h_div-nh)/2;
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
					image.setAttribute("style","margin-top:"+margeh+"px;");
				//finsi
				}
				// fins
			}else{
				// image pas plus large que le div
				if (h_img>h_div){
					// div assez large mais pas assez haut
					// réduction_h = h_img/h_div
					var reduction_h=h_img/h_div;
					// appliquer reduction_h en hauteur et largeur
					var nh=h_img/reduction_h;
					var nl=l_img/reduction_h;
					// pour être au milieu, il faut que margel=()545-nl/2
					var margel=(l_div-nl)/2;
					image.setAttribute("style","margin-left:"+margel+"px;");
					image.setAttribute("height",nh);
					image.setAttribute("width",nl);
				}else{
					// image pas trop grande
					// mais cadre peut-être trop grand
					var margeh=(h_div-h_img)/2;
					var margel=(l_div-l_img)/2;
					image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
				}
			}
		}else{
			//alert("div image non trouvé");
		}
		
	

	// ================== dans tous les cas  ==========================
	if ((tabimage!=null)&&(tabimage.length>0)){
		//alert("taille tableau="+tabimage.length);
		for (i=0;i<tabimage.length;i++) {
		image=tabimage[i];
		var imagename=image.src;
		//alert("imagename="+imagename);
		//var h_img=image.getAttribute('height');

		var h_img=image.naturalHeight;
		//var l_img=image.getAttribute('width');
		var l_img=image.naturalWidth;
		//alert("traitement d'une image de "+h_img+" par "+l_img);
		if (l_img>l_div){
			// réduction = l_img/545
			var reduction=l_img/l_div;
			// si h_img/reduction>h_div alors
			// if ((h_img/reduction)>h_div){
				// image plus HAUTE que large
				// réduction_h = h_img/h_div
				//var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
				//var nh=h_img/reduction_h;
				//var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				// var margel=(l_div-nl)/2;
				// image.setAttribute("style","margin-left:"+margel+"px;");
			// sinon
			//}else{
				// image plus LARGE que haute
				// appliquer réduction en largeur et hauteur
				var nh=h_img/reduction;
				var nl=l_img/reduction;
				// pour être au milieu, il faut que margeh=()h_div-nh/2
				// var margeh=(h_div-nh)/2;
				// image.setAttribute("style","margin-top:"+margeh+"px;");
			//finsi
			//}
			// dans les 2 cas, aappliquer la réduction
			//alert("la nouvelle image fera "+nh+"x"+nl+" dans un div de "+h_div+"x545 (HxL)");
			image.setAttribute("height",nh);
			image.setAttribute("width",nl);
			// fins
		}else{
			 //if (h_img>h_div){
				// div assez large mais pas assez haut
				// réduction_h = h_img/h_div
			//	var reduction_h=h_img/h_div;
				// appliquer reduction_h en hauteur et largeur
			//	var nh=h_img/reduction_h;
			//	var nl=l_img/reduction_h;
				// pour être au milieu, il faut que margel=()545-nl/2
				// var margel=(l_div-nl)/2;
				// image.setAttribute("style","margin-left:"+margel+"px;");
			//	image.setAttribute("height",nh);
			//	image.setAttribute("width",nl);
			//}else{
				// image pas trop grande
				// mais cadre peut-être trop grand
			//	var margeh=(h_div-h_img)/2;
			//	 var margel=(l_div-l_img)/2;
			//	 image.setAttribute("style","margin-left:"+margel+"px;margin-top:"+margeh+"px;");
			//}
		} // if/else
	} // for
	}else{
		//alert("rien a traiter");
	} 
}


function cachejs(){
	/* on met le div "javascript désactivé" invisible */
	if (this.document.getElementById('jsornotjs')!=null){
		document.getElementById('jsornotjs').setAttribute("style","visibility:hidden");
	}
}

function AuChargement(){
	pisteIE();
	cachejs();
	setTimeout("charger_diapo()",1000); // 1 seconde
	traitercadres();
	traiterimages();
}
